Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 605556 - l10n: strings in product.img's installclasses missing in anaconda.pot file
Summary: l10n: strings in product.img's installclasses missing in anaconda.pot file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 619719
TreeView+ depends on / blocked
 
Reported: 2010-06-18 09:15 UTC by Ales Kozumplik
Modified: 2014-09-30 23:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 16:24:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to pull translations from product.img (deleted)
2010-07-26 19:19 UTC, Dennis Gregorovic
no flags Details | Diff

Description Ales Kozumplik 2010-06-18 09:15:01 UTC
Description of problem:

Since files like server.py are not present in the anacodna .srpm they do not end up in the pot file and therefore can't be translated during runtime. 

For example _description in server.py:

    _description = N_("The default installation of %s is a basic server install. "
                     "You can optionally select a different set of software "
                     "now.")

Comment 1 RHEL Product and Program Management 2010-06-18 09:33:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Dennis Gregorovic 2010-06-18 16:40:31 UTC
I believe that what we want to do is:
 * have the installclasses in product.img use a different message domain
 * update anaconda to bind any domains found in product.img

There was a patch floating around for the anaconda portion.  Chris, do you know if it ever got applied?

Comment 3 Chris Lumens 2010-07-22 15:44:49 UTC
No, I don't believe it did.  I also don't see any references to this patch in the mail log.  Do you remember anything else about it?

Comment 4 Dennis Gregorovic 2010-07-26 19:19:05 UTC
Created attachment 434509 [details]
patch to pull translations from product.img

I couldn't find the original patch that I referred to.  However, I think the attached patch may do the trick.  It just adds any translations from /tmp/product/po.

Comment 5 Chris Lumens 2010-07-29 15:23:54 UTC
Looks good to me.  That should be easy enough to test, too.  Just throw your updated constants.py into an updates.img, make sure you've got a po/ directory in the product.img, and try to install.

Comment 6 Ales Kozumplik 2010-07-30 09:10:46 UTC
Definitely test before you push.

Also, because the default bound domain is always 'anaconda', you will have to explicitly mention a name of your domain. Assuming your .mo file is 'product.mo', this *could* work at the top of server.py:

_ = lambda x: gettext.ldgettext("product", x)

Now, because we are attempting to translate all those strings once again at wrong places in anaconda, e.g. installclass.py:

    def _get_description(self):
        return _(self._description) % self._descriptionFields

we should modify our code there too, i.e. not to translate any strings that we get (already translated) from server.py.

If everyone agrees then let's push Denis's changes and clone this bug for anaconda and I'll fix the rest.

Denis: can I 'git clone' the scripts that build product.img somewhere?

Thanks.
Ales

Comment 7 Ankit Patel 2010-08-02 13:05:57 UTC
Hi,

Please let's know where will the strings land? So that I can get it translated for all Red Hat supported languages.

Thanks!
Ankit

Comment 8 Dennis Gregorovic 2010-08-02 16:25:47 UTC
The product.img strings are mixed into the comps strings here:
https://translate.fedoraproject.org/projects/p/rhel-comps/c/master/

At some point we may want to separate them out, but I don't think it's a priority for the 6.0 release.  We can just pull the whole set of translations into product.img.

Comment 9 Ankit Patel 2010-08-03 06:23:17 UTC
(In reply to comment #8)
> The product.img strings are mixed into the comps strings here:
> https://translate.fedoraproject.org/projects/p/rhel-comps/c/master/
> 
> At some point we may want to separate them out, but I don't think it's a
> priority for the 6.0 release.  We can just pull the whole set of translations
> into product.img.    

Alright, will be done before 11th August to ensure we complete translation of RHEL6 tier1 applications by software translation deadline mentioned in the schedule.

Thanks!
Ankit

Comment 10 Chris Lumens 2010-08-05 15:12:40 UTC
Looks like Ales is pretty well on top of this one.  I'm removing myself for now, but if you have any questions look for me on #anaconda on on anaconda-devel-list.

Comment 11 Dennis Gregorovic 2010-08-08 11:16:28 UTC
Patches applied to CVS.

Comment 12 Ankit Patel 2010-08-09 12:33:51 UTC
Hi,

After I have given the task to the translation team, team notified that there are couple of messages regarding the language support for documentation are missing.

e.g.

msgid "This group contains the Red Hat Enterprise Linux documentation in the Gujarati language."

This message is available for translation for 
Bengali, Brazilian Portuguese, English, French, Germen, Gujarati, Hindi, Italian, Japanese, Korean, Punjabi, Simplified Chinese, Spanish, Tamil, Traditional Chinese languages

but it's missing the message for
Assamese, Russian, Kannada, Malayalam, Marathi, Oriya, Telgu.

Can we also get them in comps PO file? https://translate.fedoraproject.org/projects/p/rhel-comps/c/master/view/po/comps.pot

Thanks!
Ankit

Comment 15 Dennis Gregorovic 2010-08-11 15:33:40 UTC
https://translate.fedoraproject.org/projects/p/rhel-comps/c/master/view/po/comps.pot was updated a few days ago.  It should be fully up to date.

Comment 16 Ankit Patel 2010-08-11 15:57:31 UTC
(In reply to comment #15)
> https://translate.fedoraproject.org/projects/p/rhel-comps/c/master/view/po/comps.pot
> was updated a few days ago.  It should be fully up to date.    

I think following messages should also available inside comps.pot for translation.

msgid "This group contains the Red Hat Enterprise Linux documentation in the Assamese language."

msgid "This group contains the Red Hat Enterprise Linux documentation in the Russian language."

msgid "This group contains the Red Hat Enterprise Linux documentation in the Kannada language."

msgid "This group contains the Red Hat Enterprise Linux documentation in the Malayalam language."

msgid "This group contains the Red Hat Enterprise Linux documentation in the Marathi language."

msgid "This group contains the Red Hat Enterprise Linux documentation in the Oriya language."

msgid "This group contains the Red Hat Enterprise Linux documentation in the Telugu language."

Because documentations are going to be available for RHEL6 for the languages mentioned in those messages too!

Comment 17 Dennis Gregorovic 2010-08-11 16:24:45 UTC
Those strings actually come from comps-rhel4-docs-dvd.xml.in and comps-taroon-docs-apac.xml.in.  They don't appear in the RHEL 6 comps files.  Sorry for the confusion.  I've been lumping everything together.  Let me know if you need the strings split out separately per version of RHEL.

Comment 18 Dennis Gregorovic 2010-08-12 14:03:10 UTC
All fixes should be in the RHEL6.0-20100811.2 tree.

Comment 19 Kenichi Takemura 2010-08-16 06:30:33 UTC
Verified.

Tree:RHEL6.0-20100811.2

I did installation CJK and Oriya for this bug.

Following part is translated.

For example _description in server.py:

    _description = N_("The default installation of %s is a basic server
install. "
                     "You can optionally select a different set of software "
                     "now.")

Comment 20 releng-rhel@redhat.com 2010-11-11 16:24:18 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.